package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.engine.infa.InfoProperty;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreImporttask;
import com.chenyang.nse.bussiness.entity.param.SaveExTaskParam;
import java.util.List;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

public interface ExportWorkflowService {
   List<TCoreImporttask> queryTask(PageInfo pageInfo, List<String> flagList);

   void add(TCoreImporttask texportTask);

   boolean taskExport(String taskid);

   boolean taskExecute(String taskid);

   TCoreImporttask selectByPrimaryKey(String taskid);

   boolean uploadfile(String taskname, String engineid, String filepath, CommonsMultipartFile file);

   String querySourceDbName(String taskid);

   String queryTargetDbName(String taskid);

   void savetask(SaveExTaskParam saveExTaskParam);

   InfoProperty getInfoProperty(String engineid);
}
